Create or update up to 500 time sheets for a company in one request.
Set batch_action to create to create new time sheets, or to update to update existing time sheets. One action applies to the whole batch.
Gusto validates every time sheet when it receives the request. If one time sheet is invalid, Gusto rejects the whole batch with a 422 response and processes no time sheets.
Gusto also rejects the batch if two time sheets for the same employee or contractor have overlapping shifts.
Asynchronous processing
This endpoint triggers an asynchronous operation—the response will return immediately with a status of pending while the batch processes in the background.
To track completion:
Subscribe (via POST /v1/webhook_subscriptions) to TimeSheetsBatch webhook events
Use the returned batch UUID when calling Get a batch of time sheets.
scope: time_sheet:write
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||